"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = require("react");

var useDebugResponsive = function useDebugResponsive(contextObject, currentMediaType) {
  (0, _react.useEffect)(function () {
    var isDevEnv = typeof process !== 'undefined' && process !== null && process.env && process.env.NODE_ENV === 'development';

    if (isDevEnv) {
      /* eslint-disable no-console */
      console.group('%c @farfetch/react-context-responsive updated!', 'color:#c4aa84; font-weight:bold;');
      console.log('%c Current media type:', 'font-weight:bold;', currentMediaType);
      console.log('%c Context:', 'font-weight:bold;', contextObject);
      console.groupEnd();
      /* eslint-enable no-console */
    }
  }, [contextObject, currentMediaType]);
};

var _default = useDebugResponsive;
exports["default"] = _default;
module.exports = exports.default;