"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _getDisplayName = _interopRequireDefault(require("./util/getDisplayName"));

var _useIsMobile2 = _interopRequireDefault(require("./useIsMobile"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var withIsMobile = function withIsMobile(Component) {
  var Connect = function Connect(props) {
    var _useIsMobile = (0, _useIsMobile2["default"])(),
        isMobile = _useIsMobile.isMobile,
        isCalculated = _useIsMobile.isCalculated;

    return /*#__PURE__*/_react["default"].createElement(Component, _extends({}, props, {
      isMobile: isMobile,
      isCalculated: isCalculated
    }));
  };

  Connect.displayName = (0, _getDisplayName["default"])('withIsMobile', Component);
  return Connect;
};

var _default = withIsMobile;
exports["default"] = _default;
module.exports = exports.default;